Main Page Alphabetical List Data Structures File List Data Fields Globals

# meta.c File Reference

## Functions

U16 | wmf_read_16 (wmfAPI *API)
U32 | wmf_read_32 (wmfAPI *API, U16 *u16a, U16 *u16b)
U16 | wmf_aldus_checksum (wmfAPI *API)
wmf_error_t | wmf_header_read (wmfAPI *API)

## Function Documentation

U16 wmf_aldus_checksum | ( | wmfAPI * | API | ) |

Compute the Aldus checksum of the metafile's header.

Parameters:

  API | the API handle

(Must read the header first, either via wmf_scan() or by calling wmf_header_read() directly.)

Returns:
  Returns the checksum.

wmf_error_t wmf_header_read | ( | wmfAPI * | API | ) |

Read the metafile's header.

Parameters:

  API | the API handle

(Must read the header first, either via wmf_scan() or by calling wmf_header_read() directly.)

Returns:
  Returns the library error state (wmf_E_None on success). Possible library error states of wmf_E_Glitch, wmf_E_BadFormat (bad header), wmf_E_BadFile (no open input stream) and wmf_E_EOF (premature end-of-file).

U16 wmf_read_16 | ( | wmfAPI * |  | ) |

| Reads a two-byte sequence from the current metafile, returns U16

U32 wmf_read_32 | ( | wmfAPI * | ,
|  | U16 * | ,
|  | U16 * |
| ) |

| Reads a four-byte sequence from the current metafile, returns U32